Vector Hardware Config

Vector Hardware Config » Introduction

Zur deutschen Hilfe springen

Vector Hardware Config offers configuration and diagnostic of installed Vector devices. Applications use so-called logical channels, which are hardware independent. These logical channels have to be assigned to real hardware channels.

The following Vector devices are supported:

  • CANcardX
  • CANcardXL
  • CANcardXLe
  • CANcaseXL
  • CANcaseXL log
  • CANboardXL Family
  • VN2600
  • VN2610
  • VN3300
  • VN3600
  • VN7600
  • VN8910

Info

After installation of a Vector device, two virtual (simulated) CAN channels are available which can be used for testing purposes (Vector applications). No real device is required.

Info

After successful installation, you will find the configuration application Vector Hardware in the Control Panel. The tool gives you information about the connected and installed Vector devices. It is also possible to change several settings there.

Under Windows XP, Windows Vista and Windows 7 respectively the way in which Vector Hardware Config is started depends on which view is configured:

  • Category view under XP:
    Start | (Settings) | Control Panel    ,
    click in the left part of the window for further Control Panel options followed by Vector Hardware.
  • Category view under Vista:
    Start | (Settings) | Control Panel    ,
    click in the right part of the window for Additional Options followed by Vector Hardware.
  • Classic view under XP and Vista:
    Start | (Settings) | Control Panel    , click Vector Hardware in the list.
  • Category view under Windows 7:
    Start | Control Panel    , click Vector Hardware.
  • Symbols view under Windows 7:
    Start | Control Panel    , click Vector Hardware.

If Vector Hardware Config was started and minimized, the window can be shown again by clicking the Vector Hardware icon [image] in the system tray of the task bar.

Further information

  • Description of the main menu
  • Description of the tree view
  • Defining a bus type

Version 7.4
© Vector Informatik GmbH


Icons

Vector Hardware Config » Icons

Zur deutschen Hilfe springen

Icon | Beschreibung
 | Virtual CAN Bus available. Virtual CAN Bus not available.
 | USB interface available. USB interface not available.
 | PCMCIA interface available. PCMCIA interface not available.
 | ExpressCard interface available. ExpressCard interface not available.
 | PCI interface available. PCI interface not available.
 | Compact PCI interface available. Compact PCI interface not available
 | Device channel without transceiver (transceiver on Virtual CAN Bus not required).
 | Device channel with transceiver (CANpiggy/FRpiggy). Device channel with transceiver (LINpiggy).
 | Device channel with transceiver (CANcab). Device channel with transceiver (LINcab). Device channel with transceiver (IOcab).
 | CANcardXLe: Device channel with incompatible transceiver (CANcab). CANcardXLe: Device channel with incompatible transceiver (LINcab). CANcardXLe: Device channel with incompatible transceiver (IOcab).
 | Editable parameter.


Vector Support

Contact

Zur deutschen Hilfe springen

Vector Informatik GmbH
Ingersheimer Str. 24
D-70499 Stuttgart

Tel. +49 711 - 80670-200
Fax +49 711 - 80670-111

www.vector.com


Main menu

Main menu » Description

Zur deutschen Hilfe springen

Item | Description
Save configuration report | Saves all necessary system information and configuration settings needed by the Vector support.
Generate license status… | Generates a file containing the license information about all currently plugged devices. This file can be saved with [Save as...] or saved and sent to the Vector support by e-mail with [E-mail...] (this requires an installed e-mail client).
Exit | Closes the application.

Item | Description
Add application | Adds a new application.
Enter license key | Enables entering new license keys for a Vector device (e.g. CANcaseXL).
Import license file… | Offers the possibility to import a license file to directly program the licenses to the device. Therefore the device must be installed and plugged. License files are provided by the Vector support or by sales in order to change licenses on your device. In some cases a reassurance about the license changes must be sent back to Vector. Therefore a license status file must be generated (see File | Generate license status...).

Item | Description
XL log Config | Opens the configuration tool for CANcaseXL log, if the application is installed.

Item | Description
Hide | Minimizes to system tray [image] .
Refresh | Refreshes the tree view and the right part of window.
Reset size and position | Resets to default settings.

Item | Description
Contents | Opens this online help.
About | Shows the copyright and version information.


Vector Hardware Config

Vector Hardware Config » Tree view

Zur deutschen Hilfe springen

Tree view
The program window is divided into two parts:

  • The tree view on the left and
  • the details view on the right.

The tree view is divided into four sections describing different topics:

  • Hardware

    List of installed Vector devices and their settings.
  • Application

    List of all available applications (e.g. CANalyzer, CANoe, ...).
  • General information

    Overall settings and information.
  • License

    Information about available licenses.


Hardware

Hardware » Description

Zur deutschen Hilfe springen

Introduction

The Hardware section shows the installed Vector device. Each device item also has one ore more physical channels (e.g. CANcaseXL log Channel 1 and Channel 2), which can be assigned to any number of logical channels of an application (e.g. CANoe LIN 1). A logical channel can be assigned only to one physical channel.

Assignment

If a physical channel of a device item is selected, detailed information and parameters are displayed in the right part of the window. Editable parameters are marked with a hand icon and can be changed by a right-click or a double-click. To see which physical channel is assigned to a logical channel, click with the left mouse button on a logical channel (e.g. CANoe LIN 1) in the tree view. The physical channel is displayed in Assigned to in the right part of the window. The assignment can be edited by a right-click.

Warning

If a physical channel assignment to a logical channel is changed in section Hardware, this change is also taken over in Application section.

If a Vector device is selected, the following information is available on the right:

Item | Description
Type | Hardware type (e.g. PCMCIA or USB) of the device.
Serial number | Serial number of the device.
Driver version | Installed driver version for the device.
Firmware version | Programmed firmware version of the device.
Capabilities | Supported bus systems.
Multiple device mode | NO The devices are listed in the same order as they have been inserted. The indexes will change by removing or inserting devices. YES The device index is built based on its serial number. The indexes will not change or be reordered by removing devices. On insertion of the device, the same index is assigned as last time.
Interrupt load reduction | Maximum count of interrupts per second of the hardware (not available for USB devices).
Receive Latency | Provides configuration for the receive latency. Allows balancing of receive latency and host PC load (USB devices only).

If a channel of a Vector device is selected, the following information is available on the right:

Item | Description
Software time synchronization | Displays wether the hardware is synchronized with other hardware (Running) or not (Stopped). The time synchronization can be turned on or switched off in General information | Settings | Software time synchronization.
On bus | Displays wether the channel is active on the bus.
Transceiver | Transceiver type (e.g. CANcab 1041opto).
Default CAN baud rate | Default baud rate for applications which have no baud rate settings (e.g. Vector CANdriver for DIAdem).

Further information

  • Assigning an application to a device channel
  • Editing the CAN channel configuration


Application

Application » Description

Zur deutschen Hilfe springen

In Application , all available applications are displayed in a tree view. According to each application, the assignments of logical and physical channels are displayed in the right part of the window. If no assignment exists, the warning Not assigned appears. The number of the used channels of each bus type is displayed in the right part of the window. The assignment can be edited or deleted by the context menu (right-click) or by drag-and-drop.

Warning

If a physical channel assignment to a logical channel is changed in Application, this change is also taken over in Hardware section.

Further information

  • Changing the number of channels
  • Changing the physical channel assignment of a logical channel
  • Adding a new application
  • Deleting an application item


General information

General information » Description

Zur deutschen Hilfe springen

General information contains overall information about Vector devices and applications.

Item

Description
Settings

Software time synchronization
Activates the time synchronization of the channels for all devices which support this feature. For which device the time synchronization is currently active can be seen in the section Hardware for the different channels. Click there on any channel, the entry can be found in Software time synchronization.

TX Queue size
Size of transmit buffer (messages) inside the driver for each channel.

Configuration flags
Use this value only in cooperation with our Vector support team for solving problems, leave the default value 0x0 (zero) for normal use. Any value different from 0x0 can affect computer and driver functionality.
Diagnostic Backup Diagnostic
This diagnostic view offers a list of diagnostic messages from Vector devices and applications. With the switch Backup diagnostic you can select automatic backup of all messages. If the switch is set to NO the messages are automatically deleted on close of Vector Hardware Config.
Driver status | The driver status view offers overall diagnostic of devices currently in use with parameters and applications displayed. You can see wehter the channels are connected with the bus (Online/Offline), the baud rate, and wether the time synchronization is activated or not (Time-Sync-On/Time-Sync-Off).
Support | If you get in trouble with Vector devices or applications, you can access the Vector website here. Information about the version number is important on support requests. With a double-click on Save configuration report (or by File | Save configuration report), a diagnostic report with the configuration of your computer and Vector devices is generated (VHwConfReport.log). This file helps our support team with diagnostic information about possible problems or improper installations.


License

License » Description

Zur deutschen Hilfe springen

The License section contains information about all current available licenses (Vector bus devices, Vector License USB dongle devices).

Item | Description
Overview | Contains a list of all available licenses.
Device view | Devices with their available licenses are sorted in this view.


FAQ

How to define the bus type (all Vector devices except CANcardXLe):

  • CANcardXL
    Connect the requested Cab (CANcab, LINcab, IOcab) to the Vector device. The bus type is automatically recognized.
  • CANboardXL, CANcaseXL/log, VN3300, VN3600, VN7600, VN8910
    Open the device and plug in the requested Piggyback (CANpiggy, LINpiggy). The bus type is automatically recognized. A detailed description how to change Piggybacks can be found in the manual of your device.

How to define the bus type for CANcardXLe

  • In section Hardware click with the right mouse button on the requested CANcardXLe.
  • Select in the context menu Change Operation Mode | Operation Mode Wizard.
  • The dialog contains an overview over the current connected Cabs and the available channel configurations. Select a suitable operation mode. Please have a look on correctly connected Cabs and TWINcabs respectively.
  • Click on[Change] to accept your changes. Follow the instructions afterwards.

Further information about changing the operation mode of the CANcardXLe can be found in the manual of your device.


FAQ

How to change the physical channel assignment of a logical channel

  • In Application , click with the left mouse button on an application item.
  • In the right part of the window, click with the right mouse button on a logical channel.
  • Select the requested physical channel in the context menu (e.g. CANcaseXL log Channel 2):


FAQ

How to edit the CAN channel configuration

  • Select a device item in section Hardware and click on one of the available physical channels with a right click.
  • Click on Default CAN baud rate in the context menu.
  • Edit the configuration settings:

  • In Baud rate [baud] , you can directly enter the requested value (which will be rounded to nearest valid value by the CAN specifications). You can also use common pre-defined values by click on the [...] button. The baud rate of the CAN bus can also be configured by using Bus Timing Registers.
  • Click [OK].

This dialog is also available by a double click on Default CAN baud rate on the right if a channel is selected.


FAQ

How to add a new application

  • Click with the right mouse button on Application followed by
  • Add application in the context menu
  • Enter the requested number of channels for each bus type (CAN, LIN, FlexRay, MOST, D/A IO or J1708):

  • Click [OK].

This dialog is also available by Edit | Add application.


FAQ

How to assign an application to a device channel

  • Click the plus icon of a device item in Hardware to display the available physical channels of the device (e.g. CANcaseXL log Channel 1 and Channel 2).
  • Click with the right mouse button on one of those channels.
  • Click on the requested application in the context menu and select a logical channel:


FAQ

How to change the number of channels

  • Click with the right mouse button in Application and select an application item.
  • In the context menu, click on the bus type to be edited.
  • Enter the requested number of channels:

  • Click [OK].


FAQ

How to delete an application item

  • In Application , click with the right mouse button on an application item.
  • Click on Delete in the context menu.
  • Click [Yes].


Vector Hardware Config

Vector Hardware Config » Einführung

Jump to English help

Vector Hardware Config erlaubt die Konfiguration und Diagnose von installierten Vector-Geräten. Die Anwendungen greifen hardware-unabhängig auf logische Kanäle zu. Diese logischen Kanäle müssen realen Hardwarekanälen zugeordnet werden.

Folgende Vector-Geräte werden unterstützt:

  • CANcardX
  • CANcardXL
  • CANcardXLe
  • CANcaseXL
  • CANcaseXL log
  • CANboardXL Family
  • VN2600
  • VN2610
  • VN3300
  • VN3600
  • VN7600
  • VN8910

Info

Nach der Installation eines Vector-Geräts stehen zwei virtuelle (simulierte) Kanäle zur Verfügung, die zu Testzwecken (Vector-Anwendungen) genutzt werden können. Ein reales Gerät ist nicht erforderlich.

Info

Nach der erfolgreichen Installation der Treiber finden Sie in der Systemsteuerung die Konfigurationsanwendung Vector Hardware Config. Sie gibt verschiedene Informationen über die angeschlossenen und installierten Vector-Geräte wieder und erlaubt, Einstellungen an diesen vorzunehmen.

Unter Windows XP, Windows Vista bzw. Windows 7 ist es von der eingestellten Ansicht abhängig, wie die Konfigurationsanwendung gestartet wird.

  • Kategorieansicht unter XP:
    Start | (Einstellungen) | Systemsteuerung,
    klicken Sie anschließend in der linken Fensterhälfte auf Weitere Systemoptionen, gefolgt von Vector Hardware auf der rechten Seite.
  • Kategorieansicht unter Vista:
    Start | (Einstellungen) | Systemsteuerung,
    klicken Sie anschließend in der linken Fensterhälfte auf Weitere Optionen, gefolgt von Vector Hardware auf der rechten Seite.
  • Klassische Ansicht unter XP und Vista:
    Start | (Einstellungen) | Systemsteuerung, suchen und klicken Sie anschließend in der Liste auf Vector Hardware.
  • Kategorieansicht unter Windows 7:
    Start | Systemsteuerung | Hardware und Sound, klicken Sie anschließend auf Vector Hardware.
  • Kleine/Große Symbole unter Windows 7:
    Start | Systemsteuerung | Hardware und Sound, klicken Sie anschließend auf Vector Hardware.

Wurde Vector Hardware Config gestartet und minimiert, so kann das Fenster über das Vector Hardware Icon [image] im Systemkästchen rechts in der Task-Leiste Ihrer Windows-Oberfläche wieder angezeigt werden.

Weitere Informationen

  • Beschreibung des Hauptmenüs
  • Beschreibung der Baumansicht
  • Bustyp festlegen


Icons

Vector Hardware Config » Icons

Jump to English help

Icon | Beschreibung
 | Virtual CAN Bus verfügbar. Virtual CAN Bus nicht verfügbar.
 | USB Interface verfügbar. USB Interface nicht verfügbar.
 | PCMCIA Interface verfügbar. PCMCIA Interface nicht verfügbar.
 | ExpressCard Interface verfügbar. ExpressCard Interface nicht verfügbar.
 | PCI Interface verfügbar. PCI Interface nicht verfügbar.
 | Compact PCI Interface verfügbar. Compact PCI Interface nicht verfügbar.
 | Gerätekanal ohne Transceiver (Transceiver für Virtual CAN Bus nicht erforderlich).
 | Gerätekanal mit Transceiver (CANpiggy). Gerätekanal mit Transceiver (LINpiggy).
 | Gerätekanal mit Transceiver (CANcab). Gerätekanal mit Transceiver (LINcab). Gerätekanal mit Transceiver (IOcab).
 | CANcardXLe: Gerätekanal mit inkompatiblen Transceiver (CANcab). CANcardXLe: Gerätekanal mit inkompatiblen Transceiver (LINcab). CANcardXLe: Gerätekanal mit inkompatiblen Transceiver (IOcab).
 | Editierbarer Parameter.


Vector Support

Kontakt

Jump to English help

Vector Informatik GmbH
Ingersheimer Str. 24
D-70499 Stuttgart

Tel. +49 711 - 80670-200
Fax +49 711 - 80670-111

www.vector.com


Hauptmenü

Hauptmenü » Beschreibung

Jump to English help

Menüpunkt | Beschreibung
Save configuration report | Speichert alle nötigen System- und Konfigurationseinstellungen für den Vector-Support.
Generate license status… | Generiert eine Datei mit Lizenzinformationen über die derzeit angeschlossenen Geräte. Diese Datei kann entweder mit [Save as...] gespeichert oder per [E-mail...] gesichert und als E-Mail-Anhang an den Vector-Support versendet werden (setzt einen installierten E-Mail Client voraus).
Exit | Schließt die Anwendung.

Menüpunkt | Beschreibung
Add application | Fügt eine neue Anwendung hinzu.
Enter license key | Ermöglicht das Eingeben eines neuen Lizenzschlüssels für ein Vector-Gerät (z.B. CANcaseXL).
Import license file… | Ermöglicht das Importieren einer Lizenzdatei, um deren Lizenzen direkt auf das Gerät zu programmieren. Das Gerät muss dazu installiert und angeschlossen sein. Lizenzdateien werden vom Vector-Support oder Vertrieb bereitgestellt, um Änderungen an den Lizenzen Ihres Vector-Geräts vorzunehmen. In manchen Fällen muss eine Bestätigung über die Änderung der Lizenzen an Vector zurück geschickt werden. Hierzu generieren Sie bitte einen Lizenzstatus (siehe File | Generate license status...).

Menüpunkt | Beschreibung
XL log Config | Startet das Konfigurationswerkzeug für CANcaseXL log, wenn dieses installiert ist.

Menüpunkt | Beschreibung
Hide | Versteckt das Fenster, dieses kann jedoch über das Tray-Icon [image] wieder gezeigt werden.
Refresh | Aktualisiert die Baumansicht und den rechten Fensterteil.
Reset size and position | Setzt die Fenstereinstellungen zurück.

Menüpunkt | Beschreibung
Contents | Öffnet diese Online-Hilfe.
About | Zeigt die Copyright- und Versions-Information an.


Vector Hardware Config

Vector Hardware Config » Baumansicht

Jump to English help

Baumansicht
Das Konfigurationsprogramm ist in zwei Teile gegliedert:

  • Die Baumansicht auf der linken und
  • die Details auf der rechten Seite.

Die Baumansicht gliedert sich in vier Bereiche:

  • Hardware
    Liste der installierten Vector-Geräte und deren Einstellungen.
  • Application
    Liste der verfügbaren Anwendungen (z.B. CANalyzer, CANoe, ...).
  • General information
    Allgemeine Einstellungen und Informationen.
  • License
    Informationen über verfügbare Vector-Lizenzen.


Hardware

Hardware » Beschreibung

Jump to English help

Einführung

Die Sektion Hardware zeigt jedes installierte Vector-Gerät an. Darüber hinaus verfügt jeder Geräteeintrag über einen oder mehrere physikalische Kanäle (z.B. CANcardXL Channel 1 und Channel 2), denen beliebig viele logische Kanäle einer Anwendung (z.B. CANoe LIN 1) zugeordnet werden können. Jeder logischer Kanal ist dabei nur einem physikalischen Kanal zugewiesen.

Zuweisungen

Für den jeweils markierten physikalischen Kanal eines Geräteeintrages erscheinen im rechten Fenster des Konfigurationsprogramms Detailinformationen und Parameter. Veränderbare Parameter sind durch ein Handsymbol gekennzeichnet und können mit der rechten Maustaste oder einem Doppelklick bearbeitet werden. Durch einen Linksklick auf einen der logischen Kanäle (z.B. CANoe LIN 1), erscheint rechts im Fenster unter Assigned to die entsprechende physikalische Zuordnung. Diese lässt sich über das Kontextmenü (Rechtsklick) editieren.

Achtung

Beachten Sie, dass eine Änderung des physikalischen Kanals in der Sektion Hardware ebenfalls in der Sektion Application übernommen wird.

Ist ein Gerät selektiert, so stehen im rechten Teilfenster die folgenden Informationen zur Verfügung:

Eintrag | Beschreibung
Type | Hardwaretyp (z.B. PCMCIA oder USB) des Vector-Geräts.
Serial number | Seriennummer des Vector-Geräts.
Driver version | Installierte Treiberversion des Vector-Geräts.
Firmware version | Programmierte Firmwareversion im Vector-Gerät.
Capabilities | Vom Vector-Gerät unterstützte Bus-Systeme.
Multiple device mode | NO Die Geräte werden in derselben Reihenfolge indiziert, wie sie eingesteckt wurden. Die Indizes ändern sich mit dem Entfernen oder Einstecken von Geräten. YES Der Geräteindex wird mit der Seriennummer verknüpft. Die Indizes ändern sich beim Entfernen oder Einstecken der Geräte nicht. Beim Wiedereinstecken eines Geräts wird wieder der zuletzt genutzte Index zugewiesen.
Interrupt load reduction | Maximale Interrupt-Anzahl pro Sekunde für das Vector-Gerät (für USB-Geräte nicht verfügbar).
Receive Latency | Erlaubt die Konfiguration der Empfangslatenz und ermöglicht das Ausbalancieren zwischen PC-Last und Empfangslatenz (nur für USB-Geräte gültig).

Bei einer Kanalauswahl innerhalb eines Geräts stehen weitere Informationen zur Verfügung:

Eintrag | Beschreibung
Software time sychronization | Zeigt an, ob das Vector-Gerät mit anderen synchronisiert wird (Running) oder nicht (Stopped). Die Zeitsynchronisation kann in der Sektion General information | Settings | Software time synchronization ein- und ausgeschaltet werden.
On bus | Zeigt an, ob der Kanal am Bus aktiv ist.
Transceiver | Transceiver Typ (z.B. CANcab 1041opto).
Default CAN baud rate | Standard Baudrate für Anwendungen, die über keine Baudrateneinstellung verfügen (z.B. Vector CANdriver for DIAdem).

Weitere Informationen

  • Gerätekanal einer Anwendung zuweisen
  • CAN-Kanal Konfiguration ändern


Application

Application » Description

Jump to English help

In der Sektion Application werden in einer Baumansicht alle verfügbaren Anwendungen dargestellt. Die entsprechende Konfiguration der logischen und physikalischen Kanäle dagegen wird im rechten Teilfenster angezeigt. Wenn keine Zuordnung besteht, erscheint die Meldung Not assigned. Zusätzlich wird im rechten Teilfenster die Anzahl der verwendeten Kanäle für jeden Bus-Typ separat aufgeführt.

Die Zuordnung kann über das Kontextmenü (Rechtsklick) erstellt, geändert oder gelöscht werden. Eine Zuordnung kann auch über drag-and-drop erfolgen.

Achtung

Beachten Sie, dass eine Änderung des physikalischen Kanals in der Sektion Application ebenfalls in der Sektion Hardware übernommen wird.

Weitere Informationen

  • Anzahl logischer Kanäle ändern
  • Physikalische Kanalzuordnung ändern
  • Neue Anwendungen hinzufügen
  • Anwendungen löschen


General information

General information » Beschreibung

Jump to English help

Die Sektion General information enthält allgemeine Informationen über die installierten Vector-Geräte und Anwendungen.

Menüpunkt

Beschreibung
Settings

Software time synchronization
Aktiviert die softwarebasierte Zeitsynchronisation der Kanäle für jedes Vector-Gerät, das diese Funktion unterstützt. Für welches Vector-Gerät die Zeitsynchronisation im Augenblick aktiv ist, kann in der Sektion Hardware für die einzelnen Kanäle abgefragt werden. Klicken Sie hierzu auf einen physikalischen Kanal. Der Status der Zeitsychronisation wird unter Software time synchronization angezeigt.

TX Queue size
Größe des Sendepuffers (in Botschaften) im Treiber pro Kanal.

Configuration flags
Dieser Wert sollte nur nach Rücksprache mit dem Vector-Support geändert werden, um Informationen über das Verhalten des Vector-Geräts auszulesen. Jeder Wert außer 0x0 (Null) kann die Computer- und Treiberfunktionalität beeinträchtigen!
Diagnostic Backup Diagnostic
Hier werden alle Meldungen angezeigt, die Vector-Geräte und die Anwendungen erzeugen. Über den Schalter Backup diagnostic
kann ein automatisches Backup dieser Meldungen erzeugt werden. Wenn der Schalter auf NO steht, werden alle Meldungen beim
Beenden des Programms gelöscht.
Driver status

Unter diesem Menüpunkt finden sich Informationen über alle Kanäle und laufenden Anwendungen. Hier erfahren Sie, ob Kanäle in Benutzung sind (Online oder Offline), mit welcher Baudrate diese arbeiten und ob die Zeitsynchronisation (Time-Sync) aktiv ist.
Support Bei Problemen mit Vector-Geräten oder Anwendungen haben Sie hier Zugriff auf die Vector-Homepage. Die Information über die
Versionsnummer ist wichtig bei Supportanfragen. Mit einem Doppelklick auf [Save configuration report] (auch zugänglich über das Menü File | Save configuration report) kann eine Textdatei der Form VHwConfReport.log erzeugt werden. Die Angaben in dieser Datei können ebenfalls bei Supportanfragen wichtig sein.


License

License » Beschreibung

Jump to English help

In der Sektion License werden Informationen über alle derzeit gültigen Lizenzen (Vector-Geräte, Vector-Lizenz USB-Dongle) angezeigt.

Menüpunkt | Beschreibung
Overview | Hier werden alle derzeitigen Lizenzen angezeigt.
Device view | Hier werden die Vector-Geräte mit den dazugehörigen Lizenzen angezeigt.


FAQ

So konfigurieren Sie den Bustyp (alle Vector-Geräte außer CANcardXLe):

  • CANcardXL
    Schließen Sie das gewünschte Cab (CANcab, LINcab, IOcab) an das Vector-Gerät an. Der Bustyp wird automatisch erkannt.
  • CANboardXL, CANcaseXL/log, VN3300, VN3600, VN7600, VN8910
    Öffnen Sie das Gerät und stecken Sie das gewünschte Piggyback (CANpiggy, LINpiggy) in das Vector-Gerät ein. Der Bustyp wird automatisch erkannt. Eine detaillierte Beschreibung zum Austausch von Piggybacks erhalten Sie im Handbuch.

So konfigurieren Sie den Bustyp an Ihrer CANcardXLe

  • Klicken Sie in der Sektion Hardware mit der rechten Maustaste auf die gewünschte CANcardXLe.
  • Klicken Sie im Kontextmenü auf Change Operation Mode | Operation Mode Wizard.
  • Im Dialog erhalten Sie einen Überblick über die derzeit eingesteckten Cabs sowie eine Auswahl an möglichen Kanalkonfigurationen. Wählen Sie einen passenden Betriebsmodus aus. Achten Sie hier auch auf geeignete und korrekt eingesteckte Cabs bzw. TWINcabs.
  • Klicken Sie auf [Change], um die Änderung zu übernehmen. Folgen Sie im Anschluss den Anweisungen.

Weitere Details zur Modus-Umschaltung der CANcardXLe erhalten Sie im Handbuch.


FAQ

So ändern Sie die physikalische Kanalzuordnung zu einem logischen Kanal

  • Klicken Sie in der Sektion Application mit der linken Maustaste auf eine eingetragene Anwendung.
  • Klicken Sie mit der rechten Maustaste im rechten Teilfenster auf einen logischen Kanal.
  • Wählen Sie im Kontextmenü einen physikalischen Kanal (z.B. CANcaseXL log 2 - Channel 2) aus:


FAQ

So ändern Sie die CAN-Kanalkonfiguration

  • Wählen Sie in der Sektion Hardware einen Geräteeeintrag und klicken Sie mit der rechten Maustaste auf einen der verfügbaren physikalischen Kanäle (z.B. Channel 1).
  • Klicken Sie auf Default CAN baud rate im Kontextmenü.
  • Machen Sie Ihre Änderungen im Dialogfenster:

  • Im Feld Baud rate [baud] können Sie die gewünschte Baudrate direkt eingeben (dieser Wert wird auf den nächsten gemäß CAN-Spezifikation gültigen Wert gerundet). Außerdem ist es möglich, über den Auswahl-Button [...] gebräuchliche Baudraten auszuwählen. Die Geschwindigkeit des CAN-Busses kann ebenfalls über die Parameter der Bus Timing Register konfiguriert werden.
  • Bestätigen Sie mit [OK].

Dieser Dialog ist ebenfalls über einen Doppelklick auf Default CAN baud rate im rechten Teilfenster verfügbar, sobald ein Kanal selektiert ist.


FAQ

So fügen Sie eine neue Anwendung hinzu

  • Klicken Sie mit der rechten Maustaste auf Application und
  • anschließend im Kontextmenü auf Add application
  • Geben Sie im Dialogfenster die Anzahl der gewünschten Kanäle für die entsprechenden Bus-Typen (CAN, LIN, FlexRay, MOST, D/A IO oder J1708) ein:
  • Bestätigen Sie mit [OK].

Alternativ ist der Dialog auch über das Menü Edit | Add application zugänglich.


FAQ

So weisen Sie einer Anwendung einen Gerätekanal zu

  • Klicken Sie in der Sektion Hardware auf das Plussymbol eines eingetragenen Geräts, um die verfügbaren physikalischen Kanäle anzuzeigen anzuzeigen (z.B. CANcardXL Channel 1 und Channel 2).
  • Klicken Sie mit der rechten Maustaste auf einen der Kanäle.
  • Klicken Sie im Kontextmenü (Rechtsklick) auf die gewünschte Anwendung und selektieren dann einen logischen Kanal.


FAQ

So ändern Sie die Anzahl logischer Kanäle für eine Anwendung

  • Klicken Sie in der Sektion Application mit der rechten Maustaste auf eine eingetragene Anwendung.
  • Klicken Sie im Kontextmenü auf den gewünschten Bus-Typ, dessen Kanalanzahl Sie ändern möchten.
  • Geben Sie im Dialogfenster die Anzahl der gewünschten Kanäle ein:

  • Bestätigen Sie mit [OK].


FAQ

So löschen Sie eine Anwendung aus der Liste

  • Klicken Sie in der Sektion Application mit der rechten Maustaste auf eine eingetragene Anwendung.
  • Klicken Sie im Kontextmenü auf Delete.
  • Bestätigen Sie mit [Ja].


Vector Hardware Config

Vector Hardware Config

English

Deutsch


VHW_00010

— Vector Hardware Config Help —

Mit der Installation eines Vector-Geräts stehen automatisch zwei virtuelle CAN-Kanäle zur Verfügung, die zu Testzwecken eingesetzt werden können. Beide Kanäle sind standardmäßig miteinander verbunden. Um diese Einstellung zu ändern, muss der Knoten Virtual CAN Bus 1 angeklickt und im rechten Teilfenster Channels connected auf NO gestellt werden. Im Anschluss ist ein Neustart des Rechners erforderlich.


VHW_00011

— Vector Hardware Config Help —

Die Zeitsynchronisation verhindert ein Auseinanderdriften der Zeiten unterschiedlicher Geräte. Dies ist notwendig, da jedes Gerät mit einer eigenen Uhr zur Generierung möglichst exakter Zeitstempel ausgestattet ist.


Hardware

Hardware » Beschreibung » Logische und physikalische Kanäle

Jump to English help

Die Kommunikation zwischen einer Vector-Anwendung und einem Vector-Gerät muss vor Beginn einer Messung festgelegt werden. Dies erfolgt über Zuordnungen zwischen logischen und physikalischen Kanälen. Die Anwendung greift dabei über den logischen Kanal auf den physikalischen Kanal des Geräts zu.

Hierzu können für eine Anwendung beliebig viele logische Kanäle angelegt und der Bustyp jeweils frei definiert werden. Weiterhin kann jedem logischen Kanal nur ein physikalischer Kanal zugewiesen werden.

Es ist möglich, einen physikalischen Kanal mehreren logischen Kanälen zuweisen, aktiv nutzen jedoch lässt sich immer nur einer (je nach angeschlossenem Transceiver, z.B. CANcab).

In der Sektion Application erfahren Sie, wie Sie die Anzahl der logischen Kanäle verändern und wie Sie diesen einem physikalischen Kanal zuordnen können.


VHW_00010

— Vector Hardware Config Help —

After installing a Vector device, two virtual channels are available for testing purposes. Both channels are interconnected by default. In order to edit this setting, click on the node Virtual CAN Bus 1 and change the setting Channels connected to NO in the right part of the window. Afterwards a restart of the PC is required.


VHW_00011

— Vector Hardware Config Help —

The time synchronization is used to compensate the drift of the clocks from different device channels. This is necessary because each device uses an own clock to generate accurate time stamps.


Hardware

Hardware » Description » Logical and physical channels

Zur deutschen Hilfe springen

The communication between a Vector application and a Vector device must be defined before measuring by assigning logical to physical channels. Thereby the application accesses the physical channel of the device via the logical channel.

Therefore any number of logical channels can be created for an application. The bus types can also be freely defined. A logical channel can be assigned to only one physical channel.

It is possible to assign a single physical channel to multiple logical channels, but only one logical channel can be used and activated at the same time (depending on the connected transceiver, e.g. CANcab).

In section Application it is explained, how to change the number of logical channels and how to assign to a physical channel.